Bug 206413 - speexenc crashes on amd64, but not on i686
speexenc crashes on amd64, but not on i686
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: speex (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
: 206412 (view as bug list)
Depends On:
Blocks: FC6Update 216294
  Show dependency treegraph
 
Reported: 2006-09-14 04:17 EDT by Alexandre Oliva
Modified: 2013-03-05 22:46 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2-0.1.beta1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 18:48:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-09-14 04:17:29 EDT
speexenc whatever.wav whatever.spx crashes on x86_64 with a segfault, but it
works just fine on x86_32.

Version-Release number of selected component (if applicable):
speex-1.0.5-2.1

How reproducible:
Every time, for every file I tried.
Comment 1 Alexandre Oliva 2006-09-14 04:19:21 EDT
*** Bug 206412 has been marked as a duplicate of this bug. ***
Comment 2 Jean-Marc Valin 2006-11-18 06:14:40 EST
(I'm the Speex maintainer) This is a known bug that has been fixed in 1.1.12,
but I'm sure the 2-line patch would also apply in 1.0.5:
https://trac.xiph.org/changeset/10684
Comment 3 Matthias Clasen 2006-11-18 15:54:16 EST
rawhide already has 1.2beta1, but for FC6, we should probably get that 2 line
fix included.
Comment 4 David Zeuthen 2006-11-20 18:48:12 EST
Actually FC6 already got this update
 http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/speex-1.2-0.1.beta1.fc6.i386.rpm

Note You need to log in before you can comment on or make changes to this bug.